/* file jisp.h */
/*
 * kf linux jabber client
 * ----------------------
 *
 * Copyright (C) 2003-2004 Przemysaw Sitek <psitek@rams.pl> 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#define JISP_N_ICONS 11

typedef enum {
	KF_ICON_ONLINE,
	KF_ICON_CHAT,
	KF_ICON_AWAY,
	KF_ICON_XA,
	KF_ICON_DND,
	KF_ICON_INVISIBLE,
	KF_ICON_UNAVAILABLE,
	KF_ICON_MESSAGE,
	KF_ICON_CHAT2,
	KF_ICON_PRESENCE,
	KF_ICON_SYSTEM
} KfJispIcon;

typedef struct {
	GdkPixbuf *icons[JISP_N_ICONS];
	gchar	*name;
	gchar	*desc;
	gchar	*authors;
	gchar	*filename;
	GdkPixbuf *preview;
	gint	ref_count;
} KfJisp;


KfJisp *kf_jisp_new (void);
KfJisp *kf_jisp_ref (KfJisp *jisp);
void kf_jisp_unref (KfJisp *jisp);
void kf_jisp_free (KfJisp *jisp);
KfJisp *kf_jisp_new_from_file (const gchar *file);
KfJisp *kf_jisp_install (const gchar *zipfile);

